Bug 135318 - Hangs after Enabling Swap Space: OK
Hangs after Enabling Swap Space: OK
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2004-10-11 17:50 EDT by Travis
Modified: 2014-03-16 22:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-27 00:37:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Travis 2004-10-11 17:50:37 EDT
Description of problem:
Booting from VMWare it hangs after it says Enabling Swap Space OK

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
2.Wait for Enabling Swap Space OK message
Actual results:
does not continue after that

Expected results:
should continue after that

Additional info:
Comment 1 Stephen Tweedie 2004-10-11 17:56:33 EDT
What evidence do you have that acls are related to the problem?

What is hanging, exactly?  It would really help to get an
"alt-sysrq-t" system trace during the hang (serial console can help to
capture the data.)
Comment 2 Travis 2004-10-11 17:58:28 EDT
Okay well i just got this and never really used it yet so just 
telling me what to do without how to do it wont help..
Comment 3 Stephen Tweedie 2004-10-11 18:20:44 EDT
The bug is against "acl" so I assumed there was some evidence that
acls are involved.  If not, we need to isolate things to see where
things are really stuck.

Do you have a null modem cable that you can use to send debugging
output from one system to another one?  Swap is enabled really early
during boot, so if we're hanging there then the normal logging
mechanisms have not yet started.  And a full trace of running
processes will be far too long to capture manually.

Has this system ever booted?  Did it only recently start failing?  
Comment 4 Travis 2004-10-11 18:24:59 EDT
I just installed FC2 and this is the first boot so its never been 
succesffullly booted yet...and what is acl??
Comment 5 Stephen Tweedie 2004-10-11 18:45:20 EDT
"acl" is the component of FC2 which you filed the bug against.  It
concerns Access Control Lists.

Sounds like it's not really an acl problem, then. :)  I'll refile
against initscripts, as the hang is occurring somewhere during their
execution.  We'll still have to narrow it down.
Comment 6 Travis 2004-10-11 18:51:46 EDT
Using VMWare wouldn't affect it right? Because i am running it with 
Comment 7 Bill Nottingham 2004-10-11 21:54:59 EDT
If you boot with 'linux single', does it hang?
Comment 8 Travis 2004-10-11 21:59:07 EDT
well now it goes to bash mode after Enabling swap space
Comment 9 Bill Nottingham 2004-10-11 22:01:32 EDT
OK, boot with 'linux confirm'; answering 'y' to each choice, at which
script does it hang?
Comment 10 Travis 2004-10-11 22:06:02 EDT
Um..where exactly do i type that?
Comment 11 Bill Nottingham 2004-10-11 22:08:41 EDT
The bootloader; the same place you entered 'single'.

Note you may need to remove the 'rhgb' option for this.
Comment 12 Travis 2004-10-11 22:11:41 EDT
so in that GRUB booloader screen i edit one of them and just 
add 'confirm' ? ....i'm completely new to this stuff
Comment 13 Bill Nottingham 2004-10-11 22:12:25 EDT
Correct, add it to the end of the 'kernel' line.
Comment 14 Travis 2004-10-11 22:17:43 EDT
Nothing different happened....
Comment 15 Bill Nottingham 2004-10-11 22:31:47 EDT
It didn't give you a choice such as:

"Start service foo (Y/N/C)?"

OK, boot again with 'single'.

When you get to the shell prompt, edit /etc/sysctl.conf.

Change the line that says:

kernel.sysrq = 0


kernel.sysrq = 1

Save, and reboot.

When it hangs, hit <Alt>-<SysRq>-<P>, and write down
the output there.
Comment 16 Travis 2004-10-11 22:43:37 EDT
Uh it booted and i'm using right now...
Comment 17 Matthew Miller 2005-04-26 12:06:23 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 18 Bill Nottingham 2005-04-27 00:37:29 EDT
Closing for now. Please reopen if it happens again.

Note You need to log in before you can comment on or make changes to this bug.